Is WPMU DEV Dashboard compatible with PHP 7?

Hello.
I scanned my site with this plugin https://wordpress.org/plugins/php-compatibility-checker/ and it said that these plugins are not compatible with PHP 7:
MarketPress
Q&A
WPMU DEV Dashboard

Can you tell me if they are? Have you tested them with PHP 7? I can give you the exact errors it displayed too if that helps.

  • Adam Czajczyk
    • Support Gorilla

    Hello todor,

    I hope you're well today and thank you for your question!

    Both WPMU DEV Dashbaord and MarketPress work fine with PHP 7. A lot of Members are running their sites on PHP 7, I also keep my test sites on PHP 7.x so consider it confirmed as working :slight_smile:

    The Q&A plugin is working as well but on some setups with a more strict error reporting it may indeed report some "deprecated" notices/warnings. Our developers are already aware of that and while that shouldn't break plugin's performance for quite a while yet, I believe that'll be addressed before those deprecated functions get actually removed from PHP.

    As for other warnings and errors that you see in that report. They are not affecting performance of the plugin but will be also addressed over time.

    Best regards,
    Adam

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.